AbstractStep (Grails 6.0.0)

Package: org.grails.cli.profile

## [Groovy] Class AbstractStep

- org.grails.cli.profile.AbstractStep

- All Implemented Interfaces and Traits:
    Step

      abstract class AbstractStep
      extends java.lang.Object
      implements Step

  Abstract implementation of the Step interface

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private ProfileCommand` | `command` |
    `private java.util.Map<java.lang.String, java.lang.Object>` | `parameters` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ProfileCommand` | `command`
    `java.util.Map<java.lang.String, java.lang.Object>` | `parameters`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractStep (ProfileCommand command, java.util.Map<java.lang.String, java.lang.Object> parameters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `flag(CommandLine commandLine, java.lang.String name)` Obtains details of the given flag if it has been set by the user

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private ProfileCommand command

    - #### private java.util.Map<java.lang.String, java.lang.Object> parameters

  - ### Property Detail

    - #### ProfileCommand command

    - #### java.util.Map<java.lang.String, java.lang.Object> parameters

  - ### Constructor Detail

    - #### AbstractStep(ProfileCommand command, java.util.Map<java.lang.String, java.lang.Object> parameters)

  - ### Method Detail

    - #### java.lang.Object flag(CommandLine commandLine, java.lang.String name)

      Obtains details of the given flag if it has been set by the user

      Parameters:
        `name` - The name of the flag
      Returns:
        The flag information, or null if it isn't set by the user